Eclipse:Failed to create the Java Virtual Machine

长平狐 发布于 2013/01/06 11:21
阅读 1K+
收藏 0

由于项目里面用eclipse,今天从eclipse官网下载了一个Eclipse IDE For Java EE Developers

版本:eclipse-jee-helios-win32

自己电脑上装的jdk版本是:1.6.0_20

jre1.7.0 最新 -- 2010.9.2http://dlc.sun.com.edgesuite.net/jdk7/binaries/index.html 

解压后启动,发现弹出提示框 "Failed to create the Java Virtual Machine"

解决方法:

找到eclipse目录下的eclipse.ini,可以看到如下内容:


-startup
plugins/org.eclipse.equinox.launcher_1.1.0.v20100507.jar
–launcher.library
plugins/org.eclipse.equinox.launcher.win32.win32.x86_1.1.0.v20100503
-product
org.eclipse.epp.package.jee.product
–launcher.defaultAction
openFile
–launcher.XXMaxPermSize
256M
-showsplash
org.eclipse.platform
–launcher.XXMaxPermSize
256m
–launcher.defaultAction
openFile
-vmargs
-Dosgi.requiredJavaVersion=1.5
-Xms40m
-Xmx512m


修改–launcher.XXMaxPermSize

256 —> 128

 

如下:
-startup
plugins/org.eclipse.equinox.launcher_1.1.0.v20100507.jar
–launcher.library
plugins/org.eclipse.equinox.launcher.win32.win32.x86_1.1.0.v20100503
-product
org.eclipse.epp.package.jee.product
–launcher.defaultAction
openFile
–launcher.XXMaxPermSize
128M
-showsplash
org.eclipse.platform
–launcher.XXMaxPermSize
128m
–launcher.defaultAction
openFile
-vmargs
-Dosgi.requiredJavaVersion=1.5
-Xms40m
-Xmx512m

 

 


原文链接:http://blog.csdn.net/sunboy_2050/article/details/5864677
加载中
返回顶部
顶部